Description

Context :

Normally, all data of a snapshot must be write into memory buffer before the next snapshot. By consequence when a new snapshot
occurs, WF fifo should be empty.

Problem :
During the exploitation, an errors can occurs and desynchronise the snaphot controller and the fifo.

Solution ?
e Synchronised fifo "reset" with the waveform controler.

The problem is solved only if it's FIFO that is desynchronized.

¢ Checked consistency of TIME field in the memory buffer.

If one element of the WaveFormPicker is desynchronized, the software can detect the problem. If it's a "data shift" into the
memory, the Time Field should be corrupt.
And if it's a "time shift", the date in the Time Field should not be coherent.

History

#1 - 25/02/2014 02:22 PM - Jean-Christophe Pellion
- Assignee changed from paul leroy to Jean-Christophe Pellion

- Parent task set to #4

#2 - 25/02/2014 02:45 PM - Jean-Christophe Pellion

- Target version set to 1.0

#3 - 02/12/2016 01:13 PM - Jean-Christophe Pellion

- Status changed from New to Closed
